Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 25 May 2021 07:24:28 +0100
From:      Steve O'Hara-Smith <steve@sohara.org>
To:        Roman Serbski <mefystofel@gmail.com>
Cc:        freebsd-questions@freebsd.org
Subject:   Re: Upgrade from 12.2-RELEASE-p2 to 13.0-RELEASE
Message-ID:  <20210525072428.032c3e4c716287c430a6bbfd@sohara.org>
In-Reply-To: <CAFnNK694kLsTAgps7KafLzN=KAR8nVR8fFwhLnHFW6n7C+CXOA@mail.gmail.com>
References:  <CAFnNK694kLsTAgps7KafLzN=KAR8nVR8fFwhLnHFW6n7C+CXOA@mail.gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Sun, 23 May 2021 15:06:25 +0200
Roman Serbski <mefystofel@gmail.com> wrote:

> /usr/src/sys/rpc/rpcsec_tls/rpctlscd.x | grep -v pthread.h >
> rpctlscd.h
> ld-elf.so.1: Shared object "libgnuregex.so.5" not found, required by
> "grep"

	That's the version used in 12.2 can someone with 13.0 use ldd to
find out what version of libgnuregex is used by grep in 13.0.

> # find / -name libgnuregex.so.5 -print
> /usr/lib32/libgnuregex.so.5

	That's the 32 bit compatibility version the one grep is looking for
lives in /usr/lib.

	You seem to be running 12.2 grep - I don't know why.

-- 
Steve O'Hara-Smith <steve@sohara.org>



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20210525072428.032c3e4c716287c430a6bbfd>